Create a new ramp request
curl --request POST \
--url https://api-fundflow.venly.io/v1/ramp-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rampType": "ON_RAMP",
"amount": 1000,
"fiatCurrencyId": "123e4567-e89b-12d3-a456-426614174002",
"cryptoCurrencyId": "123e4567-e89b-12d3-a456-426614174003",
"companyBankAccountId": "123e4567-e89b-12d3-a456-426614174000",
"companyWalletId": "123e4567-e89b-12d3-a456-426614174001"
}
'import requests
url = "https://api-fundflow.venly.io/v1/ramp-requests"
payload = {
"rampType": "ON_RAMP",
"amount": 1000,
"fiatCurrencyId": "123e4567-e89b-12d3-a456-426614174002",
"cryptoCurrencyId": "123e4567-e89b-12d3-a456-426614174003",
"companyBankAccountId": "123e4567-e89b-12d3-a456-426614174000",
"companyWalletId": "123e4567-e89b-12d3-a456-426614174001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rampType: 'ON_RAMP',
amount: 1000,
fiatCurrencyId: '123e4567-e89b-12d3-a456-426614174002',
cryptoCurrencyId: '123e4567-e89b-12d3-a456-426614174003',
companyBankAccountId: '123e4567-e89b-12d3-a456-426614174000',
companyWalletId: '123e4567-e89b-12d3-a456-426614174001'
})
};
fetch('https://api-fundflow.venly.io/v1/ramp-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>",
"amount": 123,
"netAmount": 123,
"fiatAmount": 1000,
"fiatNetAmount": 990,
"cryptoAmount": 0.5,
"fiatFeeAmount": 10,
"exchangeRate": 2000,
"feePercentage": 1,
"paymentReference": "PAY-2024-001234",
"paymentReceived": true,
"blockchainTransactionHash": "0x1234...",
"createdAt": "2023-11-07T05:31:56Z",
"companyBankAccount": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"bankName": "<string>",
"companyName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"bankCountry": "<string>",
"beneficiaryAddressLine1": "<string>",
"beneficiaryAddressLine2": "<string>",
"beneficiaryCity": "<string>",
"beneficiaryState": "<string>",
"beneficiaryPostalCode": "<string>",
"beneficiaryCountry": "<string>",
"verifiedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"version": 123,
"iban": "<string>",
"bic": "<string>",
"intermediaryBic": "<string>"
},
"companyWallet": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"address": "<string>",
"verifiedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"version": 123
},
"depositBankAccount": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bankName": "<string>",
"beneficiary": "<string>",
"fiatCurrency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "EUR",
"label": "Euro",
"enabled": true,
"version": 123
},
"label": "<string>",
"isActive": true,
"isDefault": true,
"version": 123,
"bic": "<string>",
"intermediaryBic": "<string>",
"iban": "<string>"
},
"depositWallet": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>",
"label": "<string>",
"isDefault": true,
"isActive": true,
"version": 123
},
"fiatCurrency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "EUR",
"label": "Euro",
"enabled": true,
"version": 123
},
"cryptoCurrency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "USDC",
"label": "USD Coin",
"enabled": true,
"version": 123,
"coingeckoId": "<string>"
},
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "<string>",
"username": "<string>",
"email": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"version": 123,
"metadata": {}
}
],
"version": 123,
"amountReceived": 123
}
}{
"success": false,
"errors": [
{
"code": "validation-error",
"message": "A descriptive error message"
}
]
}{
"success": false,
"errors": [
{
"code": "UNAUTHORIZED",
"message": "Access is denied."
}
]
}{
"success": false,
"errors": [
{
"code": "FORBIDDEN",
"message": "User doesn't have proper authority to access this resource"
}
]
}{
"success": false,
"errors": [
{
"code": "NOT_FOUND"
}
]
}{
"success": false,
"errors": [
{
"code": "METHOD_NOT_SUPPORTED",
"message": "HttpMethod is not supported. Supported methods are [..]"
}
]
}{
"success": false,
"errors": [
{
"code": "INVALID_MEDIA_TYPE"
}
]
}{
"success": false,
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"message": "A description of the error (optional)"
}
]
}Ramp Requests
Create a ramp request
Start an on-ramp (fiat to crypto) or off-ramp (crypto to fiat) request.
POST
/
v1
/
ramp-requests
Create a new ramp request
Creates a new ramp request in
AWAITING_APPROVAL status. For ON_RAMP, specify the fiat amount, the fiat and crypto currencies, and a verified company wallet; for OFF_RAMP, specify the crypto amount, the currencies, and a verified company bank account. A unique payment reference is generated so Venly can match your transfer.
Concept guide: Transactions
Your company must be KYB-VERIFIED, and the target company wallet (ON_RAMP) or bank account (OFF_RAMP) must be VERIFIED. See Account management.
Authorizations
OAuth2 authentication via Venly Identity Platform
Body
application/json
Request to create a new on-ramp or off-ramp transaction with specified currencies and amounts
Type of ramp operation
Available options:
ON_RAMP, OFF_RAMP Example:
"ON_RAMP"
The amount for the ramp request.
- For ON_RAMP: Fiat amount to be sent
- For OFF_RAMP: Crypto amount to be sent
Required range:
x >= 1e-8Example:
1000
The fiat currency ID for the transaction
Example:
"123e4567-e89b-12d3-a456-426614174002"
The crypto currency ID for the transaction
Example:
"123e4567-e89b-12d3-a456-426614174003"
Required for OFF_RAMP requests. The company bank account where fiat will be received.
Example:
"123e4567-e89b-12d3-a456-426614174000"
Required for ON_RAMP requests. The company wallet where crypto will be received.
Example:
"123e4567-e89b-12d3-a456-426614174001"
Was this page helpful?
⌘I

